//#include <stdio.h>
//#include "mpi.h"
import mpi.*;
import java.lang.*;
 
//int main(argc, argv)
//int argc;
//char **argv;
class timertest {
  static public void main(String[] args) {
    double t1, t2, time;
    double tick;
    int    i;
    
    //MPI_Init( &argc, &argv );
    MPI.Init(args);
    t1 = MPI.Wtime();
    t2 = MPI.Wtime();
    System.out.println("Two successive calls to MPI_Wtime gave:"+
		       " t1="+t1+","+" t2="+t2);
    System.out.println( "Five approximations to one second:");
    for (i = 0; i < 5; i++)
      {
	t1 = MPI.Wtime();
	try { Thread.sleep(1000); } 
	catch(InterruptedException e) { } 
 	t2 = MPI.Wtime();
	time = t2 - t1;
	System.out.println( time + " seconds");
      } 
    tick = MPI.Wtick();
    System.out.println( "MPI_Wtick gave: "+ tick );
    
    MPI.Finalize( );
    
    //return 0;
  }
}
